local L = AceLibrary("AceLocale-2.2"):new("CCBreaker")

--[[
Explanation:
	[spell] : name of the broken spell
	[target] : name of the target the spell was on
	[breaker] : name of the person removing the spell
	[ability] : name of the ability breaking the spell
]]--

L:RegisterTranslations("zhCN", function() return {
	["[spell] on [target] was removed by [breaker]"] = "[target]ϵ[spell]Ϊ[breaker]Ϊʧ",
	["[spell] on [target] was removed by [breaker]'s [ability]"] = "[target]ϵ[spell]Ϊ[breaker][ability]ʧ",
	["[spell] on [target] was removed"] = "[target]ϵ[spell]ʧ",
	["ability"] = "¼",
	["breaker"] = "",
	["broadcast as raidwarning"] = "ŶӾʽ㲥",
	["broadcast to party"] = "㲥Ƶ",
	["broadcast to raid"] = "㲥ŶƵ",
	["center"] = "ʾϢ",
	["Change the displayed text, leave blank for default"] = "Ļм֣ʹĬ",
	["Chat options"] = "Ƶѡ",
	["chat"] = "Ƶ",
	["Chose color to use"] = "ѡҪʹõɫ",
	["class"] = "ְҵ",
	["Color messages"] = "ɫϢ",
	["color text"] = "ɫ",
	["color"] = "ɫ",
	["config"] = "ô",
	["console"] = "촰",
	["debug"] = "",
	["Display ability breaking the CC"] = "ʾƻ˿Ƽܵļ",
	["Display broken spell"] = "ʾƻ˵ļ",
	["Display centered messages"] = "ĻмʾϢ",
	["Display console messages"] = "촰ʾϢ",
	["Display freed target"] = "ʾƵǸĿ",
	["Display options for centered messages"] = "ڴʾϢʾı",
	["Display options in console"] = "촰ʾı",
	["Display options in Fubar"] = "FuBarʾʾ",
	["Display options"] = "йϢʾѡ",
	["Display who broke CC"] = "ʾ˭ƻ˿Ƽ",
	["display"] = "ʾ",
	["druid"] = "³",
	["Enable debug messages"] = "õϢ",
	["enable"] = "",
	["Filter for classes"] = "ְҵ",
	["Filter for raid roles"] = "Ŷӽɫ",
	["Filter for unit types"] = "λ͹",
	["Filter Options"] = "ѡ",
	["filter"] = "",
	["four"] = "ϸϢ",
	["fubar"] = "FuBar",
	["hunter"] = "",
	["mage"] = "ʦ",
	["mainassist"] = "",
	["maintank"] = "̹",
	["Open config in a Waterall window"] = "Waterfallѡ",
	["others"] = "",
	["paladin"] = "ʥʿ",
	["party pet"] = "",
	["party"] = "",
	["pet"] = "",
	["player"] = "Լ",
	["priest"] = "ʦ",
	["raid pet"] = "Ŷӳ",
	["raid"] = "Ŷ",
	["raidwarning"] = "ŶӾ",
	["Report CC breaks from those only"] = "ֻЩѡ˵ƻ",
	["Report CC breaks of effects"] = "ֻЩѡķЧ",
	["Report CC breaks to those targets only"] = "ֻЩĿƻ",
	["Reset breaker data"] = "ͳƵ",
	["reset"] = "",
	["Rightclick for options"] = "Ҽѡ˵",
	["rogue"] = "Ǳ",
	["role"] = "ɫ",
	["shaman"] = "˾",
	["Show break from druids"] = "ʾԵ³ƻ",
	["Show break from hunters"] = "ʾ˵ƻ",
	["Show break from mages"] = "ʾԷʦƻ",
	["Show break from mainassists"] = "ʾƻ",
	["Show break from maintanks"] = "ʾ̹˵ƻ",
	["Show break from others"] = "ʾ˵ƻ",
	["Show break from paladins"] = "ʾʥʿƻ",
	["Show break from party members"] = "ʾԶԱƻ",
	["Show break from party pets"] = "ʾԶƻ",
	["Show break from player"] = "ʾԼƻ",
	["Show break from priests"] = "ʾʦƻ",
	["Show break from raid members"] = "ʾŶӳԱƻ",
	["Show break from raid pets"] = "ʾŶӳƻ",
	["Show break from rogues"] = "ʾǱߵƻ",
	["Show break from shamans"] = "ʾ˾ƻ",
	["Show break from warlocks"] = "ʾʿƻ",
	["Show break from warriors"] = "ʾսʿƻ",
	["Show break from your pet"] = "ʾԼƻ",
	["Show break of [spell]"] = "üܱƻʱʾ",
	["Show break on druids"] = "ڵ³ϿƼܱƻʱʾ",
	["Show break on hunters"] = "ϿƼܱƻʱʾ",
	["Show break on mages"] = "ڷʦϿƼܱƻʱʾ",
	["Show break on mainassists"] = "ϿƼܱƻʱʾ",
	["Show break on maintanks"] = "̹ϿƼܱƻʱʾ",
	["Show break on others"] = "ϿƼܱƻʱʾ",
	["Show break on paladins"] = "ʥʿϿƼܱƻʱʾ",
	["Show break on party members"] = "ڶԱϿƼܱƻʱʾ",
	["Show break on party pets"] = "ڶϿƼܱƻʱʾ",
	["Show break on player"] = "ԼϿƼܱƻʱʾ",
	["Show break on priests"] = "ʦϿƼܱƻʱʾ",
	["Show break on raid members"] = "ŶӳԱϿƼܱƻʱʾ",
	["Show break on raid pets"] = "ŶӳϿƼܱƻʱʾ",
	["Show break on rogues"] = "ǱϿƼܱƻʱʾ",
	["Show break on shamans"] = "˾ϿƼܱƻʱʾ",
	["Show break on warlocks"] = "ʿϿƼܱƻʱʾ",
	["Show break on warriors"] = "սʿϿƼܱƻʱʾ",
	["Show break on your pet"] = "ԼϿƼܱƻʱʾ",
	["show effects"] = "ҪʾЧ",
	["show from"] = "߹",
	["show on"] = "Ŀ",
	["Slash-Commands"] = "",
	["spell"] = "Ƽ",
	["target"] = "ʩĿ",
	["text if only spell an target are given"] = "ֻܵõƼܡԼʩĿꡱϢʱʹõ",
	["text if only spell, target and breaker are given"] = "ֻܵõƼܡʩĿꡱԼߡϢʱʹõ",
	["text if spell, target, breaker and ability are given"] = "ڡƼܡʩĿꡱߡԼ¼ܡϢʱʹõ",
	["text"] = "ı",
	["three"] = "Ϣ",
	["two"] = "Ϣ",
	["unit"] = "λ",
	["warlock"] = "ʿ",
	["warrior"] = "սʿ",
} end)
